Package com.microblink.blinkid.hardware.camera

# Enum Class CameraType

java.lang.Object
java.lang.Enum<CameraType>
com.microblink.blinkid.hardware.camera.CameraType

All Implemented Interfaces:
  `android.os.Parcelable`, `Serializable`, `Comparable<CameraType>`, `Constable`

public enum CameraType extends Enum<CameraType> implements android.os.Parcelable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CAMERA_BACKFACE`
  Will use device's back facing camera, if it exists.
  `CAMERA_DEFAULT`
  Will use device's default camera.
  `CAMERA_FRONTFACE`
  Will use device's front facing camera, if it exists.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<CameraType>`
  `CREATOR`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `describeContents()`
  `static CameraType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CameraType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  `void`
  `writeToParcel(android.os.Parcel dest, int flags)`

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CAMERA_DEFAULT

    public static final CameraType CAMERA_DEFAULT
    Will use device's default camera. If device has got only back facing camera, back facing camera will be used. If device has got only front facing camera, front facing camera will be used. If device has got both cameras, back facing camera will be used.

  - ### CAMERA_BACKFACE

    public static final CameraType CAMERA_BACKFACE
    Will use device's back facing camera, if it exists. If back facing camera does not exist, error will be raised.

  - ### CAMERA_FRONTFACE

    public static final CameraType CAMERA_FRONTFACE
    Will use device's front facing camera, if it exists. If front facing camera does not exist, error will be raised.

- ## Field Details

  - ### CREATOR

    @NonNull public static final android.os.Parcelable.Creator<CameraType> CREATOR

- ## Method Details

  - ### values

    public static CameraType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CameraType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### describeContents

    public int describeContents()
    Specified by:
      `describeContents` in interface `android.os.Parcelable`

  - ### writeToParcel

    public void writeToParcel(@NonNull android.os.Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `android.os.Parcelable`